Tryton - Issues

 

Issue6554

Title Invoice shipment cost when shipment is done
Priority feature Status resolved
Superseder Nosy List ced, reviewbot, roundup-bot
Type feature request Components sale_shipment_cost
Assigned To ced Keywords review
Reviews 41361002
View: 41361002

Created on 2017-06-08.14:40:28 by ced, last changed by roundup-bot.

Messages
New changeset f826299562e3 by Cédric Krier in branch 'default':
Invoice shipment cost when at least one shipment is done
http://hg.tryton.org/modules/sale_shipment_cost/rev/f826299562e3
New changeset 24204f4d6632 by Cédric Krier in branch 'default':
Invoice shipment cost when at least one shipment is done
http://hg.tryton.org/modules/sale_shipment_cost/rev/24204f4d6632
review41361002 updated at https://codereview.tryton.org/41361002/#ps1
msg33965 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-06-08.14:40:27
There is a weird case with this configuration:

- invoice method: shipment
- shipment cost: order

In this case, a first invoice is generated with the shipment cost and a second when the shipment is done. This is weird because the shipment cost is supposed to be the cost of doing the shipping. So we should not invoice it before any shipment was done.
History
Date User Action Args
2018-04-30 16:01:20roundup-botsetstatus: testing -> resolved
messages: + msg40478
2018-04-21 17:37:24cedsetstatus: in-progress -> testing
2018-04-21 17:34:10cedsetstatus: resolved -> in-progress
2017-06-24 10:57:17roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg34207
2017-06-08 15:02:12reviewbotsetnosy: + reviewbot
messages: + msg33967
2017-06-08 14:42:15cedsetstatus: in-progress -> testing
reviews: 41361002
keyword: + review
2017-06-08 14:40:28cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)